Page MenuHomeFreeBSD

[RESURRECT] devel/py-gitpython: a Python Git Library
ClosedPublic

Authored by che_bein.link on May 27 2015, 1:50 PM.

Details

Reviewers
koobs
Summary

The mentioned port is required by another one. Here's a resurrection with its problems fixed (distfiles are no longer missing)
Bug: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=199335
svn command: sudo svn cp 'https://svn0.us-west.freebsd.org/ports/head/devel/py-gitpython/@347470' devel/py-gitpython

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

che_bein.link retitled this revision from to [RESURRECT] devel/py-gitpython: a Python Git Library.
che_bein.link updated this object.
che_bein.link edited the test plan for this revision. (Show Details)
che_bein.link added a reviewer: koobs.

Oops, didn't change PORTVERSION to the official one. Now fixed

koobs requested changes to this revision.May 27 2015, 2:06 PM
koobs edited edge metadata.

Nice work Maxim!

Just for completeness could you (along with considering my inline comments)

  • Add the svn copy command you ran to this revisions SUMMARY (using "edit revision")
  • Add a link to the Bugzilla Issue this is for in the SUMMARY

I'm assuming you have run this through portlint -AC and poudriere. Normally one would include that output as attachments here, but since this is only a review, please including them in your bugzilla issue if you havent already

devel/py-gitpython/Makefile
17

I couldn't find specific versions for nose/mock mentioned uptream. Where did these versions come from?

https://github.com/gitpython-developers/GitPython/blob/master/test-requirements.txt

18

Id either explicitly add the following to RUN_DEPENDS:

${PYTHON_PKGNAMEPREFIX}gitdb>=0.6.4:${PORTSDIR}/devel/py-gitdb

OR

TEST_DEPENDS:= ${RUN_DEPENDS} \
               ${PYTHON_PKGNAMEPREFIX}nose>=1.3.4:${PORTSDIR}/devel/py-nose \
               ${PYTHON_PKGNAMEPREFIX}mock>=1.0.1:${PORTSDIR}/devel/py-mock

Which portlint doesnt like

23

regression-test: build

This revision now requires changes to proceed.May 27 2015, 2:06 PM
koobs added inline comments.May 27 2015, 2:10 PM
devel/py-gitpython/Makefile
4

Should be 1.0.1, no?

devel/py-gitpython/distinfo
1–2

Should be 1.0.1 no?

che_bein.link edited edge metadata.

Actually, the latest version is 1.0.1 accoriding to the project's github

che_bein.link edited edge metadata.
che_bein.link marked 4 inline comments as done.

Fixed the regression test target

che_bein.link marked an inline comment as done and an inline comment as not done.May 27 2015, 6:29 PM
che_bein.link added inline comments.
devel/py-gitpython/Makefile
17

The versions are actually the latest available in the ports tree for now.

23

Done

koobs requested changes to this revision.May 28 2015, 1:52 AM
koobs edited edge metadata.
koobs added inline comments.
devel/py-gitpython/Makefile
17

The default standard is to:

  • Match upstream (in setup.py) versions, from install_requires, setup_requires and tests_require

In this case the only version requirement specified is:

install_requires = ['gitdb >= 0.6.4']

So just set nose and mock to >0

18

This still needs to be addressed

This revision now requires changes to proceed.May 28 2015, 1:52 AM
che_bein.link edited edge metadata.
che_bein.link marked an inline comment as done.

Fixed test-depends

che_bein.link marked an inline comment as done.May 30 2015, 6:06 PM
che_bein.link edited edge metadata.

Fixed RUN_DEPENDS

koobs accepted this revision.May 31 2015, 12:18 PM
koobs edited edge metadata.

Look good! :D

This revision is now accepted and ready to land.May 31 2015, 12:18 PM
koobs closed this revision.Jul 3 2015, 3:40 AM
koobs added a subscriber: riggs.

Committed by @riggs in rP390304